Get File Summary

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

Quickly understand any file without reading it end to end. File Summary, powered by Zia, extracts key points from documents, media, and images so you can grasp important information at a glance and focus on what matters most.


The File Summary APIs allow you to generate and retrieve AI-powered summaries programmatically, making it easy to analyze file content within your workflows.
This API retrieves the summary for a specified file and returns its current status, indicating whether the summary is available, still being generated, or not yet created.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/filesummary/{resource_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file whose summary you want to retrieve.

Response Example

F000

200
200
500
Copied!
  {
    "data": {
      "id": "6yc4zb75a47c203e64c4e99705c2524d768af",
      "type": "filesummary",
      "attributes": {
        "is_top_version": true,
        "file_id": "5719899010334339605",
        "summarized_file_content": "**Summary** The file contains details about...",
        "status": "1"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/filesummary/6yc4zb75a47c203e64c4e99705c2524d768af"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full